> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Broadcast Transaction Async

> [Deprecated] Sends a transaction and immediately returns transaction hash. Consider using send_tx instead.



## OpenAPI

````yaml /openapi.json post /broadcast_tx_async
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /broadcast_tx_async:
    post:
      summary: Broadcast Transaction Async
      description: >-
        [Deprecated] Sends a transaction and immediately returns transaction
        hash. Consider using send_tx instead.
      operationId: broadcast_tx_async
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JsonRpcRequest_for_broadcast_tx_async'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_CryptoHash_and_RpcTransactionError
components:
  schemas:
    JsonRpcRequest_for_broadcast_tx_async:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - broadcast_tx_async
          type: string
        params:
          $ref: '#/components/schemas/RpcSendTransactionRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_broadcast_tx_async
      type: object
    JsonRpcResponse_for_CryptoHash_and_RpcTransactionError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_CryptoHash_and_RpcTransactionError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_CryptoHash_and_RpcTransactionError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_CryptoHash_and_RpcTransactionError
      type: object
    RpcSendTransactionRequest:
      properties:
        signed_tx_base64:
          $ref: '#/components/schemas/SignedTransaction'
        wait_until:
          allOf:
            - $ref: '#/components/schemas/TxExecutionStatus'
          default: EXECUTED_OPTIMISTIC
      required:
        - signed_tx_base64
      title: RpcSendTransactionRequest
      type: object
    JsonRpcResponse_for_CryptoHash_and_RpcTransactionError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/CryptoHash'
      required:
        - result
      type: object
    JsonRpcResponse_for_CryptoHash_and_RpcTransactionError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError'
      required:
        - error
      type: object
    SignedTransaction:
      format: byte
      type: string
    TxExecutionStatus:
      oneOf:
        - $ref: '#/components/schemas/TxExecutionStatus_variant0'
        - $ref: '#/components/schemas/TxExecutionStatus_variant1'
        - $ref: '#/components/schemas/TxExecutionStatus_variant2'
        - $ref: '#/components/schemas/TxExecutionStatus_variant3'
        - $ref: '#/components/schemas/TxExecutionStatus_variant4'
        - $ref: '#/components/schemas/TxExecutionStatus_variant5'
    CryptoHash:
      type: string
    ErrorWrapper_for_RpcTransactionError:
      oneOf:
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError_variant0'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError_variant1'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError_variant2'
    TxExecutionStatus_variant0:
      description: Transaction is waiting to be included into the block
      enum:
        - NONE
      type: string
    TxExecutionStatus_variant1:
      description: >-
        Transaction is included into the block. The block may be not finalized
        yet
      enum:
        - INCLUDED
      type: string
    TxExecutionStatus_variant2:
      description: >-
        Transaction is included into the block +

        All non-refund transaction receipts finished their execution.

        The corresponding blocks for tx and each receipt may be not finalized
        yet
      enum:
        - EXECUTED_OPTIMISTIC
      type: string
    TxExecutionStatus_variant3:
      description: Transaction is included into finalized block
      enum:
        - INCLUDED_FINAL
      type: string
    TxExecutionStatus_variant4:
      description: |-
        Transaction is included into finalized block +
        All non-refund transaction receipts finished their execution.
        The corresponding blocks for each receipt may be not finalized yet
      enum:
        - EXECUTED
      type: string
    TxExecutionStatus_variant5:
      description: >-
        Transaction is included into finalized block +

        Execution of all transaction receipts is finalized, including refund
        receipts
      enum:
        - FINAL
      type: string
    ErrorWrapper_for_RpcTransactionError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcTransactionError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcTransactionError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcTransactionError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcTransactionError:
      oneOf:
        - $ref: '#/components/schemas/RpcTransactionError_variant0'
        - $ref: '#/components/schemas/RpcTransactionError_variant1'
        - $ref: '#/components/schemas/RpcTransactionError_variant2'
        - $ref: '#/components/schemas/RpcTransactionError_variant3'
        - $ref: '#/components/schemas/RpcTransactionError_variant4'
        - $ref: '#/components/schemas/RpcTransactionError_variant5'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant0:
      properties:
        info:
          type: object
        name:
          enum:
            - INVALID_TRANSACTION
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant1:
      properties:
        name:
          enum:
            - DOES_NOT_TRACK_SHARD
          type: string
      required:
        - name
      type: object
    RpcTransactionError_variant2:
      properties:
        info:
          properties:
            transaction_hash:
              $ref: '#/components/schemas/CryptoHash'
          required:
            - transaction_hash
          type: object
        name:
          enum:
            - REQUEST_ROUTED
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant3:
      properties:
        info:
          properties:
            requested_transaction_hash:
              $ref: '#/components/schemas/CryptoHash'
          required:
            - requested_transaction_hash
          type: object
        name:
          enum:
            - UNKNOWN_TRANSACTION
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant4:
      properties:
        info:
          properties:
            debug_info:
              type: string
          required:
            - debug_info
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant5:
      properties:
        name:
          enum:
            - TIMEOUT_ERROR
          type: string
      required:
        - name
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object

````